// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: false, name: '首页', leftArrow: false, useBar: true, tabSelectid: '0' },
    src: '/image/home.png',
    // 主体高度
    infoHeight: '',
    teamlist: [],
    schedule: []
  },
  // 跳转菜单
  tabPath(e) {
    let { route } = e.detail.detail;
    if (route) wx.redirectTo({ url: `/${route}` })
  },
  //跳转详情
  tiao: function (e) {
    let id = e.currentTarget.dataset.id;
    let type = e.currentTarget.dataset.type;
    if(type==1){
      wx.navigateTo({
        url: '/pages/list/index?id=' + id,
      })
    }else{
      wx.navigateTo({
        url: '/pages/match/detail?id=' + id,
      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight();
    // 监听用户是否登录
    this.watchLogin();
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 减去状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2)
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },
  // 监听用户是否登录
  watchLogin: function () {
    const that = this;
    wx.getStorage({
      key: 'token',
      success: res => {
        // 查询赛程列表
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/schedule`,
          method: 'get',
          data: {},
          success(res) {
            if (res.data.errcode == 0) {
              that.setData({ schedule: res.data.data })
            } else {
              wx.showToast({ title: res.data.errmsg, icon: 'none', duration: 2000 })
            }
          }
        })
        // 查询比赛列表
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/match`,
          method: 'get',
          data: {},
          success(res) {
            if (res.data.errcode == 0) {
              let data = res.data.data;
              for (const val of data) {
                if (val.status == '3') {
                  let schedulelist = that.data.schedule.filter((i) => i.match_id == val._id);
                  val.schedulelist = schedulelist;
                }
              }
              if (data) that.setData({ teamlist: data })
            } else {
              wx.showToast({ title: res.data.errmsg, icon: 'none', duration: 2000 })
            }
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  searchschedule: function (e) {
    wx.request({
      url: `${app.globalData.publicUrl}/courtAdmin/api/schedule`,
      method: 'get',
      data: { match_id: e._id },
      success(res) {
        if (res.data.errcode == 0) { } else {
          wx.showToast({ title: res.data.errmsg, icon: 'none', duration: 2000 })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})